MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028927Open CASCADE[OCCT] OCCT:Visualizationpublic2017-07-19 16:502017-09-29 16:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028927: Visualization - Graphic3d_StructureManager destructor should invalidate its pointer in Graphic3d_Structure
DescriptionGraphic3d_StructureManager clears the map of displayed structures, however if Graphic3d_Structure is held by pointer in other place it might remain holding invalid pointer to Graphic3d_StructureManager* leading to memory issues.

>	TKV3d.dll!Graphic3d_Structure::Erase() Line 249	C++
     TKV3d.dll!V3d_Trihedron::Erase() Line 251	C++
     TKV3d.dll!V3d_Trihedron::~V3d_Trihedron() Line 136	C++
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028889closedkgv Community Visualization, V3d_View - View specific Graphic3d_Structure should be removed if the view is removed 

-  Notes
(0068442)
git (administrator)
2017-07-19 17:40

Branch CR28927 has been created by kgv.

SHA-1: 7014dabf8f715cdf26df28495b7c92606c221b5d


Detailed log of new commits:

Author: kgv
Date: Wed Jul 19 17:38:54 2017 +0300

    0028927: Visualization - Graphic3d_StructureManager destructor should invalidate its pointer in Graphic3d_Structure
    
    Graphic3d_Structure::myFirstStructureManager - removed unused class field.
    ~Graphic3d_StructureManager() now removes displayed Structures explicitly.
(0068443)
kgv (developer)
2017-07-19 17:40

Patch is ready for review.
(0068460)
kgv (developer)
2017-07-19 22:16

CR28927-master-KGV-Products-Debian70-64-opt-tests-compare-linux - Build # 1 - Successful:
Check console output at http://jenkins-test-10.nnov.opencascade.com:8080/job/CR28927-master-KGV-Products-Debian70-64-opt-tests-compare-linux/1/ [^] to view the results.

CR28927-master-KGV-Products-Windows-64-VC10-opt-tests-compare-windows - Build # 1 - Successful:
Check console output at http://jenkins-test-10.nnov.opencascade.com:8080/job/CR28927-master-KGV-Products-Windows-64-VC10-opt-tests-compare-windows/1/ [^] to view the results.
(0068477)
apl (developer)
2017-07-20 11:12

Dear bugmaster,

The patch is reviewed.
(0068483)
mkv (tester)
2017-07-20 12:02

Dear BugMaster,
Branch CR28927 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 7014dabf8f715cdf26df28495b7c92606c221b5d

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 10 (10 on master)
Windows: 0 (0 on master)
MacOS : 28 (28 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total CPU difference: 19270.61000000009 / 19401.700000000146 [-0.68%]
Total MEMORY difference: 92464009 / 92470226 [-0.01%]
products component :
Total CPU difference: 6527.61000000006 / 6549.0400000000745 [-0.33%]
Total MEMORY difference: 38250883 / 38042393 [+0.55%]
Testing on Windows:
occt component :
Total CPU difference: 18117.41013649854 / 17787.76442339872 [+1.85%]
Total MEMORY difference: 59105892 / 59108328 [-0.00%]
products component :
Total CPU difference: 6771.207804900063 / 6684.861251400067 [+1.29%]
Total MEMORY difference: 28934022 / 28820451 [+0.39%]

There are no differences in images found by testdiff.
(0068484)
mkv (tester)
2017-07-20 12:02

Dear BugMaster,
Branch CR28927 from occt git-repository is TESTED.
(0068577)
git (administrator)
2017-07-21 16:16

Branch CR28927 has been deleted by kgv.

SHA-1: 7014dabf8f715cdf26df28495b7c92606c221b5d

- Related Changesets
occt: master b4fd9d00
Timestamp: 2017-07-19 14:38:54
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028927: Visualization - Graphic3d_StructureManager destructor should invalidate its pointer in Graphic3d_Structure

Graphic3d_Structure::myFirstStructureManager - removed unused class field.
~Graphic3d_StructureManager() now removes displayed Structures explicitly.
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-19 16:50 kgv New Issue
2017-07-19 16:50 kgv Assigned To => kgv
2017-07-19 17:40 git Note Added: 0068442
2017-07-19 17:40 kgv Note Added: 0068443
2017-07-19 17:40 kgv Assigned To kgv => apl
2017-07-19 17:40 kgv Status new => resolved
2017-07-19 17:41 kgv Relationship added child of 0028889
2017-07-19 22:16 kgv Note Added: 0068460
2017-07-20 11:12 apl Note Added: 0068477
2017-07-20 11:12 apl Assigned To apl => bugmaster
2017-07-20 11:12 apl Status resolved => reviewed
2017-07-20 12:02 mkv Note Added: 0068483
2017-07-20 12:02 mkv Note Added: 0068484
2017-07-20 12:02 mkv Status reviewed => tested
2017-07-20 12:02 mkv Test case number => Not needed
2017-07-21 16:08 bugmaster Changeset attached => occt master b4fd9d00
2017-07-21 16:08 bugmaster Status tested => verified
2017-07-21 16:08 bugmaster Resolution open => fixed
2017-07-21 16:16 git Note Added: 0068577
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker